using System;

namespace InABox.Core
{
    public class DocumentLink : EntityLink<Document>
    {
        [MiscellaneousDocumentEditor]
        [Caption("")]
        [EditorSequence(1)]
        public override Guid ID { get; set; }

        [TextBoxEditor(Visible = Visible.Default, Editable = Editable.Hidden)]
        [EditorSequence(2)]
        public string FileName { get; set; } = "";

        [CheckBoxEditor(Visible = Visible.Optional)]
        [EditorSequence(3)]
        public bool Private { get; set; }

        [NullEditor]
        public string CRC { get; set; } = "";

        public override string ToString()
        {
            return FileName;
        }
    }
}